Bug 10402 - /etc/rc.d/init.d/autofs doesn't strip yp: from map names
Summary: /etc/rc.d/init.d/autofs doesn't strip yp: from map names
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-29 01:20 UTC by ciamac moallemi
Modified: 2016-09-01 15:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-03 22:41:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ciamac moallemi 2000-03-29 01:20:04 UTC
/etc/rc.d/init.d/autofs does not strip yp: from yp-based map names. for
example, if ypcat -k auto.master produces:
/neo yp:auto.neo        -soft,nosuid,intr,retrans=6
the following automount command is run:
/usr/sbin/automount  /neo yp yp:auto.neo soft,nosuid,intr,retrans=6
as opposed to:
/usr/sbin/automount  /neo yp auto.neo soft,nosuid,intr,retrans=6
which is correct.

Problem exists in redhat 6.1 and 6.2 at least, here's a patch for 6.2:

--- autofs~     Mon Feb 28 20:48:24 2000
+++ autofs      Tue Mar 28 20:28:04 2000
@@ -117,4 +117,6 @@
                #convert -t to --timeout and save elsewhere
                map=`echo "$map" | sed -e 's/^auto_/auto./'`
+               # strip yp: from map
+               map=`echo "$map" | sed -e 's/yp://'`
                if echo $options | grep -- '-t' >/dev/null 2>&1 ; then
                    mountoptions="--timeout $(echo $options | \

Comment 1 Nalin Dahyabhai 2000-04-03 22:41:59 UTC
This will be changed in autofs-3.1.4-6 and later in Raw Hide
(ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/).  A heads-up
to the autofs mailing list (autofs@linux.kernel.org) would probably
be appreciated by the upstream maintainers, as this appears to be
different from documented behavior.

Comment 2 openshift-github-bot 2016-09-01 15:32:36 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/5a46b7e911713e75321324e8032030856e887dfd
Merge pull request #10708 from soltysh/issue10402

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.